﻿<?php
/*
Plugin Name: SpamShield
Plugin URI: http://www.nigesb.com/spamshield.html
Description: 这是一款为中文博客而设的免验证码防Spam提交插件
Author: Jarett
Version: 1.0.0
Author URI: http://nigesb.com
License: GNU General Public License 2.0 http://www.gnu.org/licenses/gpl.html
*/
if ( !defined('WP_PLUGIN_URL') )
	define( 'WP_PLUGIN_URL', WP_CONTENT_URL . '/plugins' );                           //  plugin url

define('SS_BASENAME', plugin_basename(__FILE__));                                       //  SomeChinesePlease.php
define('SS_BASEFOLDER', plugin_basename(dirname(__FILE__)));                            //  SomeChinesePlease
define('SS_FILENAME', str_replace(SS_BASEFOLDER.'/', '', plugin_basename(__FILE__)));  //  /SomeChinesePlease/SomeChinesePlease.php

// 初始化选项
register_activation_hook(__FILE__, 'ss_set_options');

/**
 * 初始化选项
 */
function ss_set_options() {
    // 默認選項
    $message = '<strong>NOTICE:</strong> You should type some Chinese word (like "逗比") in your comment to pass "SpamShield" spam-check,and japanese character and hyperlink may not allow acrroding to the various setting. thanks for your patience!';
    $show_message = 'show';
    $logn_user = 'notrequired';
    $need_chinese="yes";
    $filter_trackback = 'yes';
    $filter_japanese='yes';
    $filter_link='yes';

    $options = array(
        'message' => $message,
        'show_message' => $show_message,
        'login_user' => $login_user,
        'need_chinese'=> $need_chinese,
        'filter_trackback' => $filter_trackback,
        'filter_japanese' => $filter_japanese,
        'filter_link' => $filter_link,
    );
    
    add_option('ss_options', $options, '', 'yes');
}

/**
 * 得到选项
 * @return array
 */
function ss_get_options(){
    return get_option('ss_options', TRUE);
}

/**
 * 只在单篇文章或页面中加入js提示
 */
function ss_front() {
    if (!is_singular()) return ;
    $options = ss_get_options();
    if ('show' != $options['show_message']) return ;
    add_action('wp_footer', 'ss_js');
}

// 增加一个名为‘ss_message’的过滤器
add_filter('ss_message', 'wp_filter_kses');
add_filter('ss_message', 'wptexturize');

// 增加一个名为‘display_smilies’的过滤器
add_filter('display_smilies', 'convert_smilies');

if (is_admin()){
    require 'ss-admin.php';
    add_filter('plugin_action_links_' . $plugin, 'ss_set_plugin_meta');
    add_action('admin_menu', 'ss_add_setting_page');
}
else{
    require 'ss-front.php';
    add_action('wp', 'ss_front');
    add_filter('preprocess_comment', 'ss_check_comment');
}

/* END */
