<?php
/**
 * 更新选项
 * 
 * @param array $options 选项内容
 */
function ss_update_options($options){
    update_option('ss_options', $options);
}

/**
 * @version WP 2.7
 * Add action link(s) to plugins page
 */
function ss_set_plugin_meta($links) {
	$settings_link = sprintf( '<a href="options-general.php?page=%s">%s</a>', SS_BASEFOLDER . '/ss-admin.php', __('Settings') );
	array_unshift( $links, $settings_link );
	return $links;
}

/**
 * 在设置中添加名为‘ss Setting’的子菜单
 */
function ss_add_setting_page() {
    add_options_page('SpamShield Setting', 'SpamShield Setting', 8, __FILE__, 'ss_setting_page');
}

/**
 * ‘ss Setting’中的界面与处理
 */
function ss_setting_page() {
    //如果确定更新，给出更新的提示
    if( $_POST['ss_submit_hidden'] === 'yes' ) {
        $options['message'] = stripslashes(apply_filters('ss_message', $_POST['ss_block_message']));
        $_POST['show_message'] === 'show'
            ? $options['show_message'] = 'show'
            : $options['show_message'] = 'close';
        $_POST['login_user'] === 'notrequired'
            ? $options['login_user'] = 'notrequired'
            : $options['login_user'] = 'required';
        $_POST['need_chinese'] === 'yes'
            ? $options['need_chinese'] = 'yes'
            : $options['need_chinese'] = 'no';
        $_POST['filter_trackback'] === 'yes'
            ? $options['filter_trackback'] = 'yes'
            : $options['filter_trackback'] = 'no';
        $_POST['filter_japanese'] === 'yes'
            ? $options['filter_japanese'] = 'yes'
            : $options['filter_japanese'] = 'no';
        $_POST['filter_link'] === 'yes'
            ? $options['filter_link'] = 'yes'
            : $options['filter_link'] = 'no';
        ss_update_options($options);
        
?>
<div class="updated"><p><strong>设置已保存！</strong></p></div>
<?php
    }
    $ss_options = ss_get_options();

    $ss_blogk_message = attribute_escape($ss_options['message']);
?>
<div class="wrap" style="margin: 10px;">
    <h2>"SpamShield"设置</h2>
    <form name="form1" method="post" action="<?php echo wp_nonce_url('./options-general.php?page=' . SS_BASEFOLDER . '/ss-admin.php'); ?>">
        <input type="hidden" name="ss_submit_hidden" value="yes">
        <fieldset>
            <legend>"SpamShield"捕获无中文内容评论时的提示：</legend>
            <textarea name="ss_block_message" cols="80" rows="5" id="ss_block_message" class="ss_setting"><?php echo $ss_blogk_message; ?></textarea>
            <p>提示：可在提示内容中添加表情，使提示更加醒目。例如 :!: ， :)…… </p>
        </fieldset>
        <fieldset>
            <legend>是否在评论框下端显示提示：</legend>
            <input type="checkbox" name="show_message" id="show_message" <?php if ($ss_options['show_message'] == 'show') echo 'checked="checked"';?> value="show" />
            <label for="show_message">显示</label>
        </fieldset>
        <fieldset>
            <legend>登录用户是否要通过这个测试：</legend>
            <input type="checkbox" name="login_user" id="login_user" <?php if ($ss_options['login_user'] == 'notrequired') echo 'checked="checked"'; ?> value="notrequired" />
            <label for="login_user">不测试</label>
        </fieldset>
        <fieldset>
            <legend>是否必须需要包含中文：</legend>
            <input type="checkbox" name="need_chinese" id="need_chinese" <?php if ($ss_options['need_chinese'] == 'yes') echo 'checked="checked"'; ?> value="yes" />
            <label for="login_user">需要</label>
        </fieldset>
        <fieldset>
            <legend>是否对trackback(pingback)进行过滤：</legend>
            <input type="checkbox" name="filter_trackback" id="filter_trackback" <?php if ($ss_options['filter_trackback'] == 'yes') echo 'checked="checked"'; ?> value="yes" />
            <label for="login_user">过滤</label>
        </fieldset>
        <fieldset>
            <legend>是否对日语内容(japanese)进行过滤：</legend>
            <input type="checkbox" name="filter_japanese" id="filter_japanese" <?php if ($ss_options['filter_japanese'] == 'yes') echo 'checked="checked"'; ?> value="yes" />
            <label for="login_user">过滤</label>
        </fieldset>
        <fieldset>
            <legend>是否对超链接(link)进行过滤(垃圾评论大多包含超链接，强烈建议勾选)：</legend>
            <?php //echo $ss_options['filter_link'];?>
            <input type="checkbox" name="filter_link" id="filter_link" <?php if ($ss_options['filter_link'] == 'yes') echo 'checked="checked"'; ?> value="yes" />
            <label for="login_user">过滤</label>
        </fieldset>
        <fieldset class="submit">
            <legend>更新选项</legend>
            <input type="submit" name="Submit" value="更新" />
        </fieldset>
    </form>
    如果你觉得这个插件还不错，请我喝杯咖啡？<br /><br />
    <a href='http://me.alipay.com/j4r3tt'> <img src='https://img.alipay.com/sys/personalprod/style/mc/btn-index.png' /> </a>
</div>
<?php
}
/* END */